summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorDiab Neiroukh2020-04-30 22:03:38 +0100
committerDiab Neiroukh2020-04-30 22:03:38 +0100
commit1a97ab4a0a90ee78d3b77c6b552b5f07f538580e (patch)
treebb0f84444229eda715ea7c356a69f406774fb383 /PKGBUILD
parent6ab935dd1fce4fcdf813973d967f38d750e7a446 (diff)
downloadaur-1a97ab4a0a90ee78d3b77c6b552b5f07f538580e.tar.gz
🚀 RELEASE: Refactor PKGBUILD
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD60
1 files changed, 27 insertions, 33 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 1f6757bb679..7071bf83b38 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,45 +1,39 @@
# Maintainer: Diab Neiroukh <officiallazerl0rd@gmail.com>
pkgname="layan-cursor-theme-git"
-pkgver=0.0.0.7a37de2
+pkgver=1
pkgrel=1
epoch=1
pkgdesc="A x-cursor theme inspired by layan gtk theme and based on capitaine-cursors"
-arch=("any")
+arch=(
+ "any"
+)
url="https://github.com/vinceliuice/Layan-cursors"
-license=("GPL3")
-makedepends=("git")
-provides=("layan-cursor-theme")
-conflicts=("layan-cursor-theme")
-source=("git+${url}.git")
-b2sums=("SKIP")
-
-pkgver()
-{
- cd "Layan-cursors"
- if [ "$(git tag|wc -l)" == 0 ]; then
- echo "0.0.0.$(git log -1 --format='%h')"
- else
- git describe --tags | sed "s/-/.r/; s/-g/./"
- fi
-}
+license=(
+ "GPL3"
+)
+makedepends=(
+ "git"
+)
+provides=(
+ "layan-cursor-theme"
+)
+conflicts=(
+ "layan-cursor-theme"
+)
+source=(
+ "git+$url.git"
+)
+b2sums=(
+ "SKIP"
+)
package()
{
- if [ -z "${_cleancursordirname+x}" ]; then
- _cleancursordirname=false
- fi
-
- install -d "${pkgdir}/usr/share/icons"
+ install -d "$pkgdir/usr/share/icons"
- cd "Layan-cursors"
- if [ "$_cleancursordirname" = "true" ]; then
- cp -r "dist" "${pkgdir}/usr/share/icons/Layan Unraveled"
- cp -r "dist-border" "${pkgdir}/usr/share/icons/Layan"
- cp -r "dist-white" "${pkgdir}/usr/share/icons/Layan Reborn"
- else
- cp -r "dist" "${pkgdir}/usr/share/icons/Layan-cursors"
- cp -r "dist-border" "${pkgdir}/usr/share/icons/Layan-border-cursors"
- cp -r "dist-white" "${pkgdir}/usr/share/icons/Layan-white-cursors"
- fi
+ cd "Layan-cursors" || exit
+ cp -r "dist" "$pkgdir/usr/share/icons/Layan-cursors"
+ cp -r "dist-border" "$pkgdir/usr/share/icons/Layan-border-cursors"
+ cp -r "dist-white" "$pkgdir/usr/share/icons/Layan-white-cursors"
}